<template>
    <footer class="footer">
        <div class="footer-main">
            <div class="footer-wrap">
                <template v-for="(item, index) in pages">
                    <router-link
                        :key="index"
                        :to="item.path"
                        class="footer-item"
                    >
                        {{ item.name }}
                    </router-link>
                </template>
            </div>
        </div>
    </footer>
</template>
<script>
import _ from 'lodash'
import routes from '../router/routes'

export default {
    data() {
        return {
            routes,
            pageList: ['Home', 'About', 'Works'],
        }
    },
    computed: {
        pages() {
            const list = []
            const self = this
            _.forEach(self.pageList, (page) => {
                list.push(_.find(self.routes, (route) => route.name === page))
            })
            return list
        },
    },
}
</script>
<style lang="scss" scoped>
    .footer {
        width: 100%;
        position: relative;
        box-sizing: border-box;
        background: grey;
        padding-top: 52px;
        padding-bottom: 52px;
        &-main {
            display: flex;
            @include container();
        }
        &-wrap {
            flex: 0 0 25%;
        }
        &-item {
            color: white;
            display: block;
            text-decoration: none;
            line-height: 2;
            font-size: 16px;
            transition: color 0.3s ease;
            &:hover {
                color: black;
            }
        }
    }
</style>
